# PodCreationNotAllowedException class

Exception thrown when a pod creation is not allowed in the current context.

This exception typically occurs when trying to create a pod in a context where pod creation is not allowed, such as when the application context is shutting down or when the pod factory is in a state where pod creation is disabled.

Example:

    throw PodCreationNotAllowedException('Pod creation not allowed in current context');

Inheritance
  - Object
  - Error
  - RuntimeException
  - PodCreationNotAllowedException
Available extensions
  - ErrorExtensions
  - ExceptionExtensions
  - RuntimeExceptionExtensions
  - ThrowableExtensions

## Constructors

PodCreationNotAllowedException.new(String message, {required String name})
  Exception thrown when a pod creation is not allowed in the current context.

## Properties

cause → Object?
  The underlying cause of this exception, if any.
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
message → String
  The message describing the error.
  final inherited
name → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
stackTrace → StackTrace
  The associated stack trace.
  final inherited

## Methods

getCause() → Object
  The cause of this exception, if any.
  inherited
getMessage() → String
  The message associated with this exception.
  inherited
getStackTrace() → StackTrace
  The stack trace associated with this exception.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
printStackTrace([bool useErrorPrint = false]) → void

  Available on Error, provided by the ErrorExtensions extension

  Prints the error along with its stack trace.
printStackTrace([StackTrace? stacktrace, bool useErrorPrint = false]) → void

  Available on Exception, provided by the ExceptionExtensions extension

  Prints the exception and optional StackTrace if available.
printStackTrace([bool useErrorPrint = false]) → void

  Available on RuntimeException, provided by the RuntimeExceptionExtensions extension

  Extension on RuntimeException to support pretty stack trace printing.
printStackTrace([bool useErrorPrint = false]) → void

  Available on Throwable, provided by the ThrowableExtensions extension

  Extension on Throwable to support printing stack traces in a unified way.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited